package com.huimv.management.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huimv.management.entity.OutdoorEnvironmentEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.OutdoorEnvironmentDao;
import com.huimv.management.entity.OutdoorEnvironmentEntity;
import com.huimv.management.service.OutdoorEnvironmentService;


@Service("outdoorEnvironmentService")
public class OutdoorEnvironmentServiceImpl extends ServiceImpl<OutdoorEnvironmentDao, OutdoorEnvironmentEntity> implements OutdoorEnvironmentService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {

        LambdaQueryWrapper<OutdoorEnvironmentEntity> lambdaQuery = Wrappers.lambdaQuery();
        String keywords = (String) params.get("keywords");
        //没有参数
        if (keywords == null || keywords.equals("")){
            IPage<OutdoorEnvironmentEntity> page = this.page(
                    new Query<OutdoorEnvironmentEntity>().getPage(params),
                    new QueryWrapper<OutdoorEnvironmentEntity>()
            );
            return new PageUtils(page);
        }

        lambdaQuery.like(OutdoorEnvironmentEntity::getId,keywords);
        IPage<OutdoorEnvironmentEntity> page = page(this.page(
                new Query<OutdoorEnvironmentEntity>().getPage(params)
        ), lambdaQuery);


        return new PageUtils(page);
    }

}